Arch Partie de bâtiment

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch BuildingPart and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Page précédente : Arch Floor.svg Niveau
Page suivante : Bâtiment Arch Building.svg Arrow-right.svg

Arch BuildingPart.svg Arch Partie de bâtiment

Emplacement du menu
Arch → Partie de bâtiment
Ateliers
Arch
Raccourci par défaut
Aucun
Introduit dans la version
0.18
Voir aussi
Arch Bâtiment, Arch Site

Description

BuildingPart (Partie de bâtiment) remplace les anciens Arch Planchers et Arch Bâtiment par une version plus performante qui peut être utilisée non seulement pour créer un étage/un niveau/des niveaux mais également pour toutes sortes de situations dans lesquelles différents objets Arch/BIM doivent être groupés. Ce groupe pourra être traité comme un seul objet ou répliqué.

Utilisation

  1. En option, vous pouvez également sélectionner un ou plusieurs objets à inclure dans votre nouvelle pièce de construction.
  2. Appuyez sur le bouton Arch BuildingPart.svg Créer un objet Partie de bâtiment....

Remarques

Les Partie de bâtiment ont un Arch Plan de section implicite intégré. Introduit dans la version 0.19

Ce plan est toujours parallèle au plan de base du BuildingPart, mais vous pouvez spécifier le décalage entre eux. Ainsi, tous les outils qui fonctionnent avec un plan de coupe, tels que Draft Projection 2D d'une forme et TechDraw Vue architecturale fonctionnent également avec BuildingParts.

Options

  • Après avoir créé un BuildingPart, vous pouvez ajouter d'autres objets à celui-ci en les faisant glisser dans la vue en arborescence ou en utilisant l'outil Arch Add.svg Arch Ajouter.
  • Vous pouvez supprimer des objets d'une BuildingPart en les faisant glisser dans l'arborescence ou en utilisant l'outil Arch Remove.svg Arch Soustraire.
  • En double-cliquant sur l'objet BuildingPart dans la vue arborescente, le Draft Plan de travail sera défini sur son emplacement et le BuildingPart deviendra actif, ce qui signifie que de nouveaux objets lui seront automatiquement ajoutés. Double-cliquez à nouveau sur le BuildingPart pour le désactiver et ramener le plan de travail à sa position précédente. (dans la version 0.19, pour être disponible, cette option doit être définie sur true, dans le panneau Afficher les propriétés - Interaction - Double-clic l'active).
  • The BuildingPart can display a mark in the 3D view with a label and level indication.
  • Lorsqu'un élément BuildingPart est déplacé/pivoté, tous ses enfants qui ne possèdent pas de propriété DonnéesMove With Host ou qui l'ont activé sont déplacés/pivotés ensemble.
  • Les pièces de construction peuvent être Draft Clonées.
  • Les pièces de construction peuvent prendre n’importe quel type d’IFC. Leur propriété IFC Type détermine son utilisation. Si vous la définissez sur Building Storey, il se comportera comme un niveau. Si vous la définissez sur Building, il se comporte comme un bâtiment et si vous la définissez sur Element Assembly, il se comporte comme un assemblage. Son icône changera pour refléter ce paramètre mais à part cela, cela n’a aucun autre impact dans FreeCAD. Toutefois, le fait d'être exporté vers IFC sous un type ou un autre peut avoir un impact sur d'autres applications BIM.

Propriétés

Data

  • DonnéesHeight: La hauteur de cet objet et de ses objets enfants. Les objets enfants pourraient être par exemple des Arch murs. La hauteur de chaque mur doit être définie sur 0 (zéro), de sorte que la propriété hauteur (height) de BuildingPart se propage aux objets qu'elle contient.
  • DonnéesLevelOffset: niveau du point (0,0,0) de ce niveau. Cette valeur est ajoutée à l'attribut Placement.Base.z du BuildingPart, pour indiquer un décalage vertical sans déplacer réellement l'objet. Le décalage résultant est affiché si VueShow Level est fixé sur true.
  • DonnéesArea: la surface de plancher calculée de cet étage.
  • DonnéesIfcType: le type IFC de cet objet.
  • DonnéesDescription: Une description facultative pour ce composant
  • DonnéesTag: Une balise facultative pour ce composant
  • DonnéesIfcAttributes: Propriétés et attributs IFC personnalisés

View

  • VueLineWidth: la largeur de trait de cet objet.
  • VueOverrideUnit: une unité facultative pour exprimer les niveaux.
  • VueDisplayOffset: une transformation à appliquer au repère de niveau.
  • VueShowLevel: Si la valeur est true, affiche le niveau.
  • VueShowUnit: Si la valeur est true, affiche l'unité sur la balise de niveau.
  • VueSetWorkingPlane: Si la valeur est true, le plan de travail, lorsqu'il est activé, s'adaptera automatiquement à cette partie (Building Part).
  • VueOriginOffset: Si la valeur est true, le décalage d'affichage affectera également la marque d'origine.
  • VueShowLabel: Si la valeur est true, le libellé de l'objet est activé lorsqu'il est activé.
  • VueFontName: police à utiliser pour les textes.
  • VueFontSize: La taille de la police des textes.
  • VueRestoreView: Si défini, la vue stockée dans cet objet sera restaurée par un double-clic.
  • VueDiffuseColor: les couleurs de visage individuelles.

Introduit dans la version 0.19

  • VueChildrenOverride: Si cette option est définie, les paramètres ci-dessous affecteront les enfants de cette partie du bâtiment.
  • VueChildrenLineWidth: La largeur de ligne à appliquer aux enfants de cette partie du bâtiment.
  • VueChildrenLineColor: La couleur de trait à appliquer aux enfants de cette partie du bâtiment.
  • VueChildrenShapeColor: La couleur de la forme à appliquer aux enfants de cette partie du bâtiment.
  • VueChildrenTransparency: La transparence à appliquer aux enfants de cette partie du bâtiment.

Script

Voir aussi: Arch API et FreeCAD Scripts de Base.

L'outil BuildingPart peut être utilisé à l'intérieur d'une macro, et à partir de la console Python en utilisant la fonction suivante :

BuildingPart = makeBuildingPart(objectslist=None)
  • Crée un objet BuildingPart à partir de objectslist qui est une liste d'objets.

Exemple :

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

BuildingPart = Arch.makeBuildingPart([Wall1, Wall2])

Floor = Arch.makeFloor([BuildingPart])
Building = Arch.makeBuilding([Floor])
Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Page précédente : Arch Floor.svg Niveau
Page suivante : Bâtiment Arch Building.svg Arrow-right.svg